Commit 3f0eb20f authored by Ernestas Kulik's avatar Ernestas Kulik 🦑

Promote libical back to to core-deps

Since e-d-s depends on 3.0.5, which is currently not in at least Fedora.
parent d8af00b5
......@@ -1396,6 +1396,22 @@
</dependencies>
</meson>
<cmake id="libical"
cmakeargs="-DUSE_INTEROPERABLE_VTIMEZONES:BOOL=true
-DICAL_ALLOW_EMPTY_PROPERTIES:BOOL=true
-DGOBJECT_INTROSPECTION:BOOL=true
-DICAL_GLIB:BOOL=true
-DICAL_GLIB_VAPI:BOOL=true
-DSHARED_ONLY:BOOL=true">
<branch repo="github-tar"
version="3.0.5"
checkoutdir="libical"
module="libical/libical/releases/download/v${version}/libical-${version}.tar.gz"
hash="7ad550c8c49c9b9983658e3ab3e68b1eee2439ec17b169a6b1e6ecb5274e78e6"
size="881800">
</branch>
</cmake>
<meson id="libinput" mesonargs="-Ddocumentation=false">
<branch repo="git.freedesktop.org" checkoutdir="libinput" module="wayland/libinput.git" />
<dependencies>
......
......@@ -544,12 +544,6 @@
version="0.1.0"/>
</systemmodule>
<systemmodule id="libical">
<pkg-config>libical.pc</pkg-config>
<branch repo="system"
version="2.0"/>
</systemmodule>
<systemmodule id="libmusicbrainz">
<pkg-config>libmusicbrainz5.pc</pkg-config>
<branch repo="system"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment